Skip to main content
POST
/
knowledge
/
search
Search knowledge documents
curl --request POST \
  --url https://api.gleap.io/v3/knowledge/search \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --header 'project: <project>' \
  --data '
{
  "query": "<string>",
  "documentTypeFilter": "<string>",
  "internally": true,
  "lang": "<string>",
  "limit": 123
}
'
{
  "results": [
    {
      "sourceId": "<string>",
      "sourceType": "<string>",
      "content": "<string>",
      "title": "<string>",
      "url": "<string>"
    }
  ],
  "count": 123
}

Documentation Index

Fetch the complete documentation index at: https://docs.gleap.io/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

project
string
required

Body

application/json
query
string
required
documentTypeFilter
string
internally
boolean
lang
string
limit
number<double>

Response

200 - application/json

Ok

results
object[]
required
count
number<double>
required